"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.stage = void 0;

const fs_extra_1 = require("fs-extra");

const type_1 = require("@spark-build/web-utils/lib/type");

const util_1 = require("../../util");

exports.stage = -8;

async function depsEntryExports(api) {
  api.registerMethod({
    name: 'addDepsEntryExports'
  });
  api.onGenerateFiles(async () => {
    const exports = await api.applyPlugins({
      key: 'addDepsEntryExports'
    });

    if (!exports.length) {
      return undefined;
    }

    const exportsToString = exports.map(text => type_1.isStr(text) ? text : util_1.spliceExportFrom(text.specifier || '*', text.source)).join('\n');
    return fs_extra_1.outputFile(api.resolveTmpPath('index.ts'), exportsToString);
  });
}

exports.default = depsEntryExports;